Bug 1259410 - [RFE] Subscription-manager should print notifications about over-consumption
[RFE] Subscription-manager should print notifications about over-consumption
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.5
Unspecified Unspecified
low Severity low
: pre-dev-freeze
: ---
Assigned To: candlepin-bugs
John Sefler
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 10:21 EDT by Alex Wood
Modified: 2017-12-08 21:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 06:11:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Wood 2015-09-02 10:21:56 EDT
When a consumer has over-consumed, there is currently no notification that they have surplus entitlements that can be returned to a pool.  Over-consumption has not typically been a problem with stacking on RAM as people seldom remove RAM from a system.  However, stacking on other attributes does create a need to alert users to over-consumption.

Subscription-manager and subscription-manager-gui should print a clear alert message when they detect over-consumption.  In the GUI, a message in the status bar at the bottom of the window might work.  The CLI will probably need to print a banner at the top of any output.

Alternatively, the RHSM icon could be used to alter the consumer.  This option would be nice as it wouldn't require the user to be in the context of subscription-manager to get the notification.

Care must be taken around what is considered to be over-consumption.  Some subscriptions exist with indivisible quantities greater than 1.  The idea of over-consumption must take this into account.  E.g. a system with 5 CPUs and 3 entitlements for 2 CPU products is not over-consumed.
Comment 2 John Sefler 2015-09-02 10:51:18 EDT
(In reply to Alex Wood from comment #0)
> The CLI will probably need to print a banner at the top of any output.

I'm not too fond of this ^ idea.  I'd rather see it show up in the subscription-manager list --consumed Status fields as well as the output from the subscription-manager status module.
Comment 3 Jan Kurik 2017-12-06 06:11:54 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/
Comment 4 Kevin Howell 2017-12-07 11:09:35 EST
Still a valid request for subscription-manager generally. We'll look at it for RHEL7.

Note You need to log in before you can comment on or make changes to this bug.